<div class="navbar-container">
    <button
        #button
        #menuTrigger="matMenuTrigger"
        [disableRipple]="true"
        [matMenuTriggerFor]="articleMenu"
        mat-flat-button
        class="nav-link"
        [ngClass]="{'nav-link-article-active': isMatMenuOpen}"
        (mouseenter)="onMouseEnterButton(menuTrigger)"
        (mouseleave)="onMouseLeaveButton(menuTrigger, button)"
        style="z-index:1050"
    >
        Articles
    </button>

    <mat-menu #articleMenu="matMenu">
        <span (mouseenter)="onMenuEnter()" (mouseleave)="onMenuLeave(menuTrigger, button)">
            <button mat-menu-item>
                <mat-icon color="primary">assignment</mat-icon>Tous les articles
            </button>
            <button mat-menu-item>
                <mat-icon color="primary">assignment</mat-icon>Les plus populaires
            </button>
            <button mat-menu-item>
                <mat-icon color="primary">assignment</mat-icon>Les plus récents
            </button>
        </span>
    </mat-menu>

    <button [disableRipple]="true" mat-flat-button class="nav-link">Newsletter</button>
    <button [disableRipple]="true" mat-flat-button class="nav-link">À propos</button>
    <!-- <app-theme-selector></app-theme-selector> -->
    <button [disableRipple]="true" mat-flat-button class="instagram-button"></button>
</div>
